org.apache.tamaya.model.internal

## Class ConfigDocumentationBean

- java.lang.Object
- - org.apache.tamaya.model.internal.ConfigDocumentationBean

- All Implemented Interfaces:
    ConfigDocumentationMBean

      public class ConfigDocumentationBean
      extends Object
      implements ConfigDocumentationMBean

  MBean implementation of `ConfigDocumentationMBean`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigDocumentationBean()` Default constructor, using the current configuration being available.
    `ConfigDocumentationBean(org.apache.tamaya.Configuration config)` Creates an mbean bound to the given configuration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `findConfigurationModels(String namePattern)` Find the validations by checking the validation's name using the given regular expression.
    `String` | `findValidationModels(ModelType type, String namePattern)` Find the validations by checking the validation's name using the given regular expression.
    `String` | `getConfigurationModel()`
    `String` | `getConfigurationModel(ModelType type)`
    `String` | `toString()`
    `String` | `validate(boolean showUndefined)` Validates the configuration for the given context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigDocumentationBean

          public ConfigDocumentationBean()

      Default constructor, using the current configuration being available.

    - #### ConfigDocumentationBean

          public ConfigDocumentationBean(org.apache.tamaya.Configuration config)

      Creates an mbean bound to the given configuration. This is useful, when multiple mbeans for each context should be used, e.g. one mbean per ear, app deployment.
      Parameters:
        `config` - the configuration to be used.

  - ### Method Detail

    - #### validate

          public String validate(boolean showUndefined)

      Description copied from interface: `ConfigDocumentationMBean`
      Validates the configuration for the given context.
      Specified by:
        `validate` in interface `ConfigDocumentationMBean`
      Parameters:
        `showUndefined` - allows filtering for undefined configuration elements.
      Returns:
        the validation results, never null.

    - #### getConfigurationModel

          public String getConfigurationModel()

      Specified by:
        `getConfigurationModel` in interface `ConfigDocumentationMBean`

    - #### getConfigurationModel

          public String getConfigurationModel(ModelType type)

      Specified by:
        `getConfigurationModel` in interface `ConfigDocumentationMBean`

    - #### findConfigurationModels

          public String findConfigurationModels(String namePattern)

      Description copied from interface: `ConfigDocumentationMBean`
      Find the validations by checking the validation's name using the given regular expression.
      Specified by:
        `findConfigurationModels` in interface `ConfigDocumentationMBean`
      Parameters:
        `namePattern` - the regular expression to use, not null.
      Returns:
        the sections defined, never null.

    - #### findValidationModels

          public String findValidationModels(ModelType type,
                                    String namePattern)

      Description copied from interface: `ConfigDocumentationMBean`
      Find the validations by checking the validation's name using the given regular expression.
      Specified by:
        `findValidationModels` in interface `ConfigDocumentationMBean`
      Parameters:
        `type` - the target ModelType, not null.
        `namePattern` - the regular expression to use, not null.
      Returns:
        the sections defined, never null.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.